#
# spec file for package opendvdproducer
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           opendvdproducer
Version:        16.11
Release:        150500.1.pm.2
Summary:        Open DVD Producer
License:        GPL-3.0
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://opendvdproducer.jonata.org
Source:         %{name}-%{version}.tar.xz
BuildArch:      noarch
BuildRequires:  ImageMagick
BuildRequires:  fdupes
BuildRequires:  python3-setuptools
BuildRequires:  update-desktop-files
Requires:       ImageMagick
Requires:       dvdauthor
Requires:       ffmpeg
Requires:       mkisofs
Requires:       python3-python-vlc
Requires:       python3-qt5

%description
Create DVDs with menus and chapters in a simple yet professional way.

The main functions of the DVD specification are implemented in the
software. For example, you can create a DVD in any supported format, with
various menus, with directional buttons, videos with chapters and set
sections of videos to play.

%prep
%autosetup -p1

%build
mkdir -vp resources
python3 setup.py build
# Fix incorrect sRGB profile
find . -type f -name '*.png' -print -exec "$(type -P convert)" '{}' '-strip' '{}' \;

%install
python3 setup.py install --root=%{buildroot}
find %{buildroot} -ls
mkdir %{buildroot}%{_bindir}
tee %{buildroot}%{_bindir}/%{name} <<_EOS_
#!/bin/sh
set -e
cd '%{_datadir}/%{name}'
exec '$(type -P python3)' '%{name}.py' "\$@"
_EOS_
mkdir %{buildroot}%{_datadir}/pixmaps
find %{buildroot} -name '%{name}.png' -exec ln -fvbt '%{buildroot}%{_datadir}/pixmaps' '{}' \;
# Too many Warnings
rm -rf %{buildroot}%{_datadir}/applications/%{name}.desktop
%suse_update_desktop_file -c %{name} %{name} "Open DVD Producer" %{name} %{name} AudioVideo Video AudioVideoEditing
cat %{buildroot}%{_datadir}/applications/%{name}.desktop

%fdupes -s %{buildroot}

%files
%license LICENSE
%doc README*
%attr(755,-,-) %{_bindir}/*
%{python3_sitelib}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png

%changelog
* Thu Feb 25 2016 avvissu@yandex.ru
- Initial release
